package pp.battleship.client.gui;

import com.simsilica.lemur.Slider;

public class VolumeSlider extends Slider {

    private final BgMusic music;

    private double vol;

    public VolumeSlider(BgMusic music) {
        super();
        this.music = music;
        vol = BgMusic.volumeInPreferences();
        getModel().setPercent(vol);
    }

    public void update() {
        if (vol != getModel().getPercent()) {
            vol = getModel().getPercent();
            music.setVolume( (float) vol);
        }
    }
    
}
